ProjectReportsPluginConvention (Gradle API 8.11.1)

Package org.gradle.api.plugins

## Class ProjectReportsPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ProjectReportsPluginConvention

-     @Deprecated
      public abstract class ProjectReportsPluginConvention
      extends java.lang.Object

  Deprecated.
  Please configure the tasks directly. This class is scheduled for removal in Gradle 9.0.
  The conventional configuration for the `ProjectReportsPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectReportsPluginConvention()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.io.File` | `getProjectReportDir()` | Deprecated. Returns the directory to generate the project reports into.
    `abstract java.lang.String` | `getProjectReportDirName()` | Deprecated. The name of the directory to generate the project reports into, relative to the project's reports dir.
    `abstract java.util.Set<Project>` | `getProjects()` | Deprecated.
    `abstract void` | `setProjectReportDirName​(java.lang.String projectReportDirName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectReportsPluginConvention

          public ProjectReportsPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getProjectReportDirName

          public abstract java.lang.String getProjectReportDirName()

      Deprecated.
      The name of the directory to generate the project reports into, relative to the project's reports dir.

    - #### setProjectReportDirName

          public abstract void setProjectReportDirName​(java.lang.String projectReportDirName)

      Deprecated.

    - #### getProjectReportDir

          public abstract java.io.File getProjectReportDir()

      Deprecated.
      Returns the directory to generate the project reports into.

    - #### getProjects

          public abstract java.util.Set<Project> getProjects()

      Deprecated.